package com.rjconsultores.ventaboletos.utilerias.impressaormd.vo;

import java.math.BigDecimal;
import java.util.Date;

public class DetalhadoRMD {

	private Long cajaId;
	private String numoperacion;
	private String serie;
	private Integer folio;
	private Integer estadoId;
	private Date fechorVenta;
	private String empresa;
	private String enderecoEmpresa;
	private String cnpjEmpresa;
	private String ieEmpresa;
	private BigDecimal icmsInterestadual;
	private BigDecimal icmsIntermunicipal;
	private String estadoOrigem;
	private String estadoDestino;
	private String municipioOrigem;
	private boolean isInterEstadual;
	private BigDecimal redBaseCalcIcms;
	private BigDecimal porcRedMunicipal;
	private BigDecimal porcRedEstadual;
	private BigDecimal tributacaoImportacao;
	private boolean isenta;
	private String rmd;
	private BigDecimal tarifa;
	private BigDecimal taxaEmbarque;
	private BigDecimal pedagio;
	private BigDecimal seguro;
	private BigDecimal outros;
	private String nombPuntoVenta;
	private String numPuntoVenta;

	// CAMPOS ECF
	private String ecf;
	private String datamov;
	private String coo;
	private String ccf;
	private String totalFiscal;
	private String estadoImpressora;

	private Integer rmdId;
	private String foliormd;

	public Long getCajaId() {
		return cajaId;
	}

	public void setCajaId(Long cajaId) {
		this.cajaId = cajaId;
	}

	public String getNumoperacion() {
		return numoperacion;
	}

	public void setNumoperacion(String numoperacion) {
		this.numoperacion = numoperacion;
	}

	public String getSerie() {
		return serie;
	}

	public void setSerie(String serie) {
		this.serie = serie;
	}

	public Integer getFolio() {
		return folio;
	}

	public void setFolio(Integer folio) {
		this.folio = folio;
	}

	public Integer getEstadoId() {
		return estadoId;
	}

	public void setEstadoId(Integer estadoId) {
		this.estadoId = estadoId;
	}

	public Date getFechorVenta() {
		return fechorVenta;
	}

	public void setFechorVenta(Date fechorVenta) {
		this.fechorVenta = fechorVenta;
	}

	public String getEmpresa() {
		return empresa;
	}

	public void setEmpresa(String empresa) {
		this.empresa = empresa;
	}

	public String getEnderecoEmpresa() {
		return enderecoEmpresa;
	}

	public void setEnderecoEmpresa(String enderecoEmpresa) {
		this.enderecoEmpresa = enderecoEmpresa;
	}

	public String getCnpjEmpresa() {
		return cnpjEmpresa;
	}

	public void setCnpjEmpresa(String cnpjEmpresa) {
		this.cnpjEmpresa = cnpjEmpresa;
	}

	public String getIeEmpresa() {
		return ieEmpresa;
	}

	public void setIeEmpresa(String ieEmpresa) {
		this.ieEmpresa = ieEmpresa;
	}

	public BigDecimal getIcmsInterestadual() {
		return icmsInterestadual;
	}

	public void setIcmsInterestadual(BigDecimal icmsInterestadual) {
		this.icmsInterestadual = icmsInterestadual;
	}

	public BigDecimal getIcmsIntermunicipal() {
		return icmsIntermunicipal;
	}

	public void setIcmsIntermunicipal(BigDecimal icmsIntermunicipal) {
		this.icmsIntermunicipal = icmsIntermunicipal;
	}

	public String getEstadoOrigem() {
		return estadoOrigem;
	}

	public void setEstadoOrigem(String estadoOrigem) {
		this.estadoOrigem = estadoOrigem;
	}

	public String getEstadoDestino() {
		return estadoDestino;
	}

	public void setEstadoDestino(String estadoDestino) {
		this.estadoDestino = estadoDestino;
	}

	public String getMunicipioOrigem() {
		return municipioOrigem;
	}

	public void setMunicipioOrigem(String municipioOrigem) {
		this.municipioOrigem = municipioOrigem;
	}

	public boolean isInterEstadual() {
		return isInterEstadual;
	}

	public void setInterEstadual(boolean isInterEstadual) {
		this.isInterEstadual = isInterEstadual;
	}

	public BigDecimal getRedBaseCalcIcms() {
		return redBaseCalcIcms;
	}

	public void setRedBaseCalcIcms(BigDecimal redBaseCalcIcms) {
		this.redBaseCalcIcms = redBaseCalcIcms;
	}

	public BigDecimal getPorcRedMunicipal() {
		return porcRedMunicipal;
	}

	public void setPorcRedMunicipal(BigDecimal porcRedMunicipal) {
		this.porcRedMunicipal = porcRedMunicipal;
	}

	public BigDecimal getPorcRedEstadual() {
		return porcRedEstadual;
	}

	public void setPorcRedEstadual(BigDecimal porcRedEstadual) {
		this.porcRedEstadual = porcRedEstadual;
	}

	public BigDecimal getTributacaoImportacao() {
		return tributacaoImportacao;
	}

	public void setTributacaoImportacao(BigDecimal tributacaoImportacao) {
		this.tributacaoImportacao = tributacaoImportacao;
	}

	public boolean getIsenta() {
		return isenta;
	}

	public void setIsenta(boolean isenta) {
		this.isenta = isenta;
	}

	public String getRmd() {
		return rmd;
	}

	public void setRmd(String rmd) {
		this.rmd = rmd;
	}

	public BigDecimal getTarifa() {
		return tarifa;
	}

	public void setTarifa(BigDecimal tarifa) {
		this.tarifa = tarifa;
	}

	public BigDecimal getTaxaEmbarque() {
		return taxaEmbarque;
	}

	public void setTaxaEmbarque(BigDecimal taxaEmbarque) {
		this.taxaEmbarque = taxaEmbarque;
	}

	public BigDecimal getPedagio() {
		return pedagio;
	}

	public void setPedagio(BigDecimal pedagio) {
		this.pedagio = pedagio;
	}

	public BigDecimal getSeguro() {
		return seguro;
	}

	public void setSeguro(BigDecimal seguro) {
		this.seguro = seguro;
	}

	public BigDecimal getOutros() {
		return outros;
	}

	public void setOutros(BigDecimal outros) {
		this.outros = outros;
	}

	public String getEcf() {
		return ecf;
	}

	public void setEcf(String ecf) {
		this.ecf = ecf;
	}

	public String getDatamov() {
		return datamov;
	}

	public void setDatamov(String datamov) {
		this.datamov = datamov;
	}

	public String getCoo() {
		return coo;
	}

	public void setCoo(String coo) {
		this.coo = coo;
	}

	public String getTotalFiscal() {
		return totalFiscal;
	}

	public void setTotalFiscal(String totalFiscal) {
		this.totalFiscal = totalFiscal;
	}

	public String getCcf() {
		return ccf;
	}

	public void setCcf(String ccf) {
		this.ccf = ccf;
	}

	public String getNombPuntoVenta() {
		return nombPuntoVenta;
	}

	public void setNombPuntoVenta(String nombPuntoVenta) {
		this.nombPuntoVenta = nombPuntoVenta;
	}

	public String getNumPuntoVenta() {
		return numPuntoVenta;
	}

	public void setNumPuntoVenta(String numPuntoVenta) {
		this.numPuntoVenta = numPuntoVenta;
	}

	public String getEstadoImpressora() {
		return estadoImpressora;
	}

	public void setEstadoImpressora(String estadoImpressora) {
		this.estadoImpressora = estadoImpressora;
	}

	public Integer getRmdId() {
		return rmdId;
	}

	public void setRmdId(Integer rmdId) {
		this.rmdId = rmdId;
	}

	public String getFoliormd() {
		return foliormd;
	}

	public void setFoliormd(String foliormd) {
		this.foliormd = foliormd;
	}

}
